
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "OGDFType.h"

#include "STDDeletable.h"

#include "stdcxxType.h"


#define DRECT_DECL_VIRT(Type) \



#define DRECT_DECL_NONVIRT(Type) \
double Type##_dRect_height ( Type##_p p );\
double Type##_dRect_width ( Type##_p p );


#define DRECT_DECL_ACCESSOR(Type) \



#define DRECT_DEF_VIRT(Type) \



#define DRECT_DEF_NONVIRT(Type) \
double Type##_dRect_height ( Type##_p p ) {\
return ((TYPECASTMETHOD(Type, dRect_height, DRect))(p))->height();\
}\
\
double Type##_dRect_width ( Type##_p p ) {\
return ((TYPECASTMETHOD(Type, dRect_width, DRect))(p))->width();\
}


#define DRECT_DEF_ACCESSOR(Type) \



DELETABLE_DECL_VIRT(DRect)
DRECT_DECL_VIRT(DRect)
DRECT_DECL_NONVIRT(DRect)
DRECT_DECL_ACCESSOR(DRect)

#ifdef __cplusplus
}
#endif

